Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class HandleMetaClass

    java.lang.Object
      groovy.lang.DelegatingMetaClass
          org.codehaus.groovy.runtime.HandleMetaClass

    public class HandleMetaClass
    extends DelegatingMetaClass

Field Summary

Fields inherited from class DelegatingMetaClass
delegate

Constructor Summary
`HandleMetaClass(MetaClass mc)`
`HandleMetaClass(MetaClass mc, java.lang.Object obj)`

Method Summary
`void` | `addMetaBeanProperty(MetaBeanProperty metaBeanProperty)`
`void` | `addMetaMethod(MetaMethod metaMethod)`
`void` | `addNewInstanceMethod(java.lang.reflect.Method method)`
`void` | `addNewStaticMethod(java.lang.reflect.Method method)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `getProperty(java.lang.String property)`
`void` | `initialize()`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`GroovyObject` | `replaceDelegate()`
`void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

Methods inherited from class DelegatingMetaClass
addMetaBeanProperty, addMetaMethod, addNewInstanceMethod, addNewStaticMethod, equals, getAdaptee, getAttribute, getAttribute, getClassNode, getMetaClass, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getProperties, getProperty, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, initialize, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, isModified, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAdaptee, setAttribute, setAttribute, setMetaClass, setProperty, setProperty, setProperty, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HandleMetaClass

    public HandleMetaClass(MetaClass mc)

### HandleMetaClass

    public HandleMetaClass(MetaClass mc, java.lang.Object obj)

Method Detail

### addMetaBeanProperty

    public void addMetaBeanProperty(MetaBeanProperty metaBeanProperty)

### addMetaMethod

    public void addMetaMethod(MetaMethod metaMethod)

### addNewInstanceMethod

    public void addNewInstanceMethod(java.lang.reflect.Method method)

### addNewStaticMethod

    public void addNewStaticMethod(java.lang.reflect.Method method)

### equals

    public boolean equals(java.lang.Object obj)

### getProperty

    public java.lang.Object getProperty(java.lang.String property)

### initialize

    public void initialize()

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### replaceDelegate

    public GroovyObject replaceDelegate()

### setProperty

    public void setProperty(java.lang.String property, java.lang.Object newValue)

Groovy Documentation